package edu.tum.xmts.utils;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.Reader;

import edu.tum.xmts.TransitionSystem;
import edu.tum.xmts.utils.XMTSReader.MalformedInputException;

public interface TransitionSystemReader {

	public abstract TransitionSystem read(File file) throws IOException, MalformedInputException;

	public abstract TransitionSystem read(InputStream inputStream) throws IOException, MalformedInputException;

	public abstract TransitionSystem read(Reader reader) throws IOException, MalformedInputException;

	public abstract TransitionSystem read(String string) throws MalformedInputException;

}